Package com.castlabs.sdk.thumbs

# Enum ThumbnailProvider.RequestQueuePosition

java.lang.Object
java.lang.Enum<ThumbnailProvider.RequestQueuePosition>
com.castlabs.sdk.thumbs.ThumbnailProvider.RequestQueuePosition

All Implemented Interfaces:
  `Serializable`, `Comparable<ThumbnailProvider.RequestQueuePosition>`

Enclosing interface:
  `ThumbnailProvider`

public static enum ThumbnailProvider.RequestQueuePosition extends Enum<ThumbnailProvider.RequestQueuePosition>
Defines where in the loading queue shall new thumbnail requests be placed.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AddBack`
  Adds the thumbnail request at the back (end) of the loading queue.
  `AddFront`
  Adds the thumbnail request at the front (beginning) of the loading queue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ThumbnailProvider.RequestQueuePosition`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ThumbnailProvider.RequestQueuePosition[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AddFront

    public static final ThumbnailProvider.RequestQueuePosition AddFront
    Adds the thumbnail request at the front (beginning) of the loading queue.

  - ### AddBack

    public static final ThumbnailProvider.RequestQueuePosition AddBack
    Adds the thumbnail request at the back (end) of the loading queue. This is the default

- ## Method Details

  - ### values

    public static ThumbnailProvider.RequestQueuePosition[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ThumbnailProvider.RequestQueuePosition valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null